summaryrefslogtreecommitdiffstats
path: root/desktop
diff options
context:
space:
mode:
author Michael Pratt <hi@michael-pratt.com>2016-08-24 06:29:16 +0700
committer David Spencer <idlemoor@slackbuilds.org>2016-08-28 00:22:40 +0100
commitb2e40478811ca6dc9bcc9f2f11fa8438c0cf0052 (patch)
tree7e06143681fffcfbec060492c6c827c9df9bf778 /desktop
parent57a1fa5276f57c35d3294187c119b3f1e19ca141 (diff)
downloadslackbuilds-b2e40478811ca6dc9bcc9f2f11fa8438c0cf0052.tar.gz
slackbuilds-b2e40478811ca6dc9bcc9f2f11fa8438c0cf0052.tar.xz
desktop/areao43-icon-theme: Added (icon theme).
Signed-off-by: Willy Sudiarto Raharjo <willysr@slackbuilds.org>
Diffstat (limited to 'desktop')
-rw-r--r--desktop/areao43-icon-theme/README5
-rw-r--r--desktop/areao43-icon-theme/areao43-icon-theme.SlackBuild64
-rw-r--r--desktop/areao43-icon-theme/areao43-icon-theme.info10
-rw-r--r--desktop/areao43-icon-theme/doinst.sh13
-rw-r--r--desktop/areao43-icon-theme/slack-desc19
5 files changed, 111 insertions, 0 deletions
diff --git a/desktop/areao43-icon-theme/README b/desktop/areao43-icon-theme/README
new file mode 100644
index 0000000000..496a468d4b
--- /dev/null
+++ b/desktop/areao43-icon-theme/README
@@ -0,0 +1,5 @@
+This is an icon set meant to be used with dark themes.
+It's based on servechilled's area.o42 icons.
+
+NOTE: This version is explicitly meant to leave out application icons,
+they are too much!
diff --git a/desktop/areao43-icon-theme/areao43-icon-theme.SlackBuild b/desktop/areao43-icon-theme/areao43-icon-theme.SlackBuild
new file mode 100644
index 0000000000..65aee11cb4
--- /dev/null
+++ b/desktop/areao43-icon-theme/areao43-icon-theme.SlackBuild
@@ -0,0 +1,64 @@
+#!/bin/sh
+
+# Slackware build script for areao icon theme
+# Written by Michael Pratt <hi@michael-pratt.com>
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=areao43-icon-theme
+VERSION=${VERSION:-1.0}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+ARC=noarch
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+[ -f "$CWD/101979-areao43.tar.bz2" ] && mv "$CWD/101979-areao43.tar.bz2" "$CWD/$PRGNAM-$VERSION.tar.bz2"
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar -xvf $CWD/$PRGNAM-$VERSION.tar.bz2
+cd areao43
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+
+rm -rf icon-theme.cache
+mkdir -p $PKG/usr/share/icons/areao43-icon-theme/
+cp -r * $PKG/usr/share/icons/areao43-icon-theme/
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/desktop/areao43-icon-theme/areao43-icon-theme.info b/desktop/areao43-icon-theme/areao43-icon-theme.info
new file mode 100644
index 0000000000..5bb9246230
--- /dev/null
+++ b/desktop/areao43-icon-theme/areao43-icon-theme.info
@@ -0,0 +1,10 @@
+PRGNAM="areao43-icon-theme"
+VERSION="1.0"
+HOMEPAGE="https://www.gnome-look.org/content/show.php/area.o43+SVG+Icon+theme?content=101979"
+DOWNLOAD="https://dl.opendesktop.org/api/files/download/id/1460759243/101979-areao43.tar.bz2"
+MD5SUM="31fed9766b9fbc6d5f26e479be09ed26"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES=""
+MAINTAINER="Michael Pratt"
+EMAIL="hi@michael-pratt.com"
diff --git a/desktop/areao43-icon-theme/doinst.sh b/desktop/areao43-icon-theme/doinst.sh
new file mode 100644
index 0000000000..9424ce43ff
--- /dev/null
+++ b/desktop/areao43-icon-theme/doinst.sh
@@ -0,0 +1,13 @@
+if [ -x /usr/bin/update-desktop-database ]; then
+ /usr/bin/update-desktop-database -q usr/share/applications >/dev/null 2>&1
+fi
+
+if [ -x /usr/bin/update-mime-database ]; then
+ /usr/bin/update-mime-database usr/share/mime >/dev/null 2>&1
+fi
+
+if [ -e usr/share/icons/hicolor/icon-theme.cache ]; then
+ if [ -x /usr/bin/gtk-update-icon-cache ]; then
+ /usr/bin/gtk-update-icon-cache usr/share/icons/hicolor >/dev/null 2>&1
+ fi
+fi
diff --git a/desktop/areao43-icon-theme/slack-desc b/desktop/areao43-icon-theme/slack-desc
new file mode 100644
index 0000000000..8c88fb70ee
--- /dev/null
+++ b/desktop/areao43-icon-theme/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+areao43-icon-theme: areao43-icon-theme (icon theme)
+areao43-icon-theme:
+areao43-icon-theme: This is an icon set meant to be used with dark themes.
+areao43-icon-theme: It's based on servechilled's area.o42 icons.
+areao43-icon-theme:
+areao43-icon-theme:
+areao43-icon-theme:
+areao43-icon-theme: http://gnome-look.org/content/show.php?content=101979
+areao43-icon-theme:
+areao43-icon-theme:
+areao43-icon-theme: